let videoPromise = new Promise(resolve => {
    let vidbuf = _vfs_resolve_file_sync("achieved.webm");
    let vidblob = new Blob([vidbuf], {type:"video/webm"});
    let url = URL.createObjectURL(vidblob);
    let vid = document.createElement("video");
    vid.src = url;
    vid.autoplay = true;
    vid.style = "position: fixed; top: 0; bottom: 0; left: 0; right: 0; background: black; z-index: 9999; width: 100%; height: 100%;";
    vid.controls = false;
    vid.addEventListener("ended", () => {
        URL.revokeObjectURL(url);
        vid.remove();
        resolve();
    })
    document.body.appendChild(vid);
});

await videoPromise;
